summaryrefslogtreecommitdiffstats
path: root/client/shared/scripts/restoreImage
diff options
context:
space:
mode:
authoririna <irinagomez@us.es>2014-02-17 08:32:59 +0000
committeririna <irinagomez@us.es>2014-02-17 08:32:59 +0000
commit4fcbcc8308f82aed30288e0d25b83ebae13c85ea (patch)
tree1ad0bdbf8ba606ed7c72c17335835baedc64807f /client/shared/scripts/restoreImage
parent993c3283b3b8c0df4fce82b210f62ad361edf06e (diff)
#636 #537 Log en tiempo real. En los script de restauracion los mensajes se envian a session.log y las salidas de los comandos a commad.log. utf-8 en la pagina que muestra los log
git-svn-id: https://opengnsys.es/svn/branches/version1.0@4149 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'client/shared/scripts/restoreImage')
-rwxr-xr-xclient/shared/scripts/restoreImage17
1 files changed, 11 insertions, 6 deletions
diff --git a/client/shared/scripts/restoreImage b/client/shared/scripts/restoreImage
index d89db318..0de16a5c 100755
--- a/client/shared/scripts/restoreImage
+++ b/client/shared/scripts/restoreImage
@@ -1,12 +1,12 @@
#!/bin/bash
-# Scirpt de ejemplo para restaurar una imagen.
+# Script de ejemplo para restaurar una imagen.
# (puede usarse como base para el programa de restauración de imágenes usado por OpenGNSys Admin).
TIME1=$SECONDS
PROG="$(basename $0)"
if [ $# -lt 4 ]; then
- ogRaiseError $OG_ERR_FORMAT "$MSG_FORMAT: $PROG REPO|CACHE imagen ndisco nparticion [ UNICAST|MULTICAST opciones protocolo]"
- exit $?
+ ogRaiseError $OG_ERR_FORMAT "$MSG_FORMAT: $PROG REPO|CACHE imagen ndisco nparticion [ UNICAST|MULTICAST opciones protocolo]" 2>&1 | tee -a $OGLOGSESSION $OGLOGFILE
+ exit ${PIPESTATUS[0]}
fi
#Load engine configurator from engine.cfg file.
@@ -31,8 +31,12 @@ PROTO=${PROTO:-"UNICAST"}
PROTOOPT="$6"
IMGTYPE="${IMGTYPE:-"img"}"
# Comprobar que existe la imagen del origen.
-IMGFILE=$(ogGetPath "$REPO" "$IMGNAME.$IMGTYPE") || ogRaiseError $OG_ERR_NOTFOUND "$REPO, ${IMGNAME%/*}" || exit $?
-IMGDIR=$(ogGetParentPath "$REPO" "$IMGNAME") || ogRaiseError $OG_ERR_NOTFOUND "$REPO, ${IMGNAME%/*}" || exit $?
+IMGFILE=$(ogGetPath "$REPO" "$IMGNAME.$IMGTYPE")
+IMGDIR=$(ogGetParentPath "$REPO" "$IMGNAME")
+if [ "$IMGFILE" == "" -o "$IMGDIR" == "" ]; then
+ ogRaiseError $OG_ERR_NOTFOUND "$REPO, ${IMGNAME%/*}" 2>&1 | tee -a $OGLOGSESSION $OGLOGFILE
+ exit ${PIPESTATUS[0]}
+fi
# Procesar protocolos de transferencia.
case "$PROTO" in
@@ -53,7 +57,8 @@ case "$PROTO" in
RETVAL=${PIPESTATUS[0]}
;;
*) # Protocolo desconocido.
- ogRaiseError $OG_ERR_FORMAT "$MSG_FORMAT: $PROG REPO|CACHE imagen ndisco nparticion [ UNICAST|MULTICAST opciones ]"
+ ogRaiseError $OG_ERR_FORMAT "$MSG_FORMAT: $PROG REPO|CACHE imagen ndisco nparticion [ UNICAST|MULTICAST opciones ]" 2>&1 | tee -a $OGLOGSESSION $OGLOGFILE
+
exit $?
esac